Activity log for bug #1569292

Date Who What changed Old value New value Message
2016-04-12 11:20:00 kukububu bug added bug
2016-04-12 11:30:27 kukububu attachment added _usr_lib_realmd_realmd.0.crash https://bugs.launchpad.net/ubuntu/+source/realmd/+bug/1569292/+attachment/4634005/+files/_usr_lib_realmd_realmd.0.crash
2016-04-14 14:49:58 mush bug task added realmd
2016-04-14 14:50:14 Launchpad Janitor realmd (Ubuntu): status New Confirmed
2016-04-18 17:28:40 Istvan bug added subscriber Istvan
2016-04-18 17:48:42 Istvan-Attila Andras bug added subscriber Istvan-Attila Andras
2016-04-19 01:23:06 Alberto Salvia Novella realmd (Ubuntu): importance Undecided Medium
2016-04-19 12:55:00 Niklas Andersson bug watch added https://bugs.freedesktop.org/show_bug.cgi?id=95018
2016-04-21 12:02:53 Seyeong Kim realmd (Ubuntu): assignee Seyeong Kim (xtrusia)
2016-04-21 12:02:57 Seyeong Kim tags amd64 apport-bug xenial amd64 apport-bug sts xenial
2016-04-21 12:03:01 Seyeong Kim realmd (Ubuntu): status Confirmed In Progress
2016-04-25 02:31:13 Seyeong Kim affects realmd (Ubuntu) packagekit (Ubuntu)
2016-04-26 14:07:45 Antoine Pernot bug added subscriber Antoine Pernot
2016-04-27 03:57:06 Mycah Mattox bug added subscriber Mycah Mattox
2016-04-28 04:32:46 Seyeong Kim description realm -v join int.domainname.com --user login * Resolving: _ldap._tcp.int.domanname.com * Performing LDAP DSE lookup on: 192.168.xx.xx * Performing LDAP DSE lookup on: 192.168.xx.xx * Successfully discovered: int.domainname.com Password for login: * Unconditionally checking packages * Resolving required packages From here nothing happens. It doesn't go any further. journalctl -b realmd shows: [...] Apr 12 13:02:49 ls-mysql57 realmd[946]: Sending TCP Netlogon request Apr 12 13:02:49 ls-mysql57 realmd[946]: Searching for (objectClass=*) Apr 12 13:02:49 ls-mysql57 realmd[946]: Received TCP Netlogon response Apr 12 13:02:49 ls-mysql57 realmd[946]: * Successfully discovered: int.domainname.com Apr 12 13:02:49 ls-mysql57 realmd[946]: * Successfully discovered: int.domainame.com Apr 12 13:02:53 ls-mysql57 realmd[946]: Using 'r209.955' operation for method 'Join' invocation on 'org.freedesktop.realmd.KerberosMembership' interface Apr 12 13:02:53 ls-mysql57 realmd[946]: Registered cancellable for operation 'r209.955' Apr 12 13:02:53 ls-mysql57 realmd[946]: holding daemon: current-invocation Apr 12 13:02:53 ls-mysql57 realmd[946]: ** (realmd:946): CRITICAL **: realm_invocation_get_cancellable: assertion 'invocation != NULL' failed Apr 12 13:02:53 ls-mysql57 realmd[946]: (realmd:946): GLib-GObject-CRITICAL **: g_object_unref: assertion 'G_IS_OBJECT (object)' failed Apr 12 13:02:53 ls-mysql57 realmd[946]: * Unconditionally checking packages Apr 12 13:02:53 ls-mysql57 realmd[946]: * Unconditionally checking packages Apr 12 13:02:53 ls-mysql57 realmd[946]: * Resolving required packages Apr 12 13:02:53 ls-mysql57 realmd[946]: * Resolving required packages Apr 12 13:02:53 ls-mysql57 realmd[946]: realm_invocation_get_cancellable: assertion 'invocation != NULL' failed Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: CreateTransaction call Apr 12 13:02:53 ls-mysql57 realmd[946]: GLib-GObject: g_object_unref: assertion 'G_IS_OBJECT (object)' failed Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: SetHints call Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: call Resolve (262144, ['sssd-tools', 'sssd', 'libnss-sss', 'libpam-sss', 'adcli']) Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: signal: Changed () Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: call Resolve completed Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: signal: Changed () Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: signal: Changed () Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: signal: Changed () It works in 14.04. ProblemType: Bug DistroRelease: Ubuntu 16.04 Package: realmd 0.16.2-2 ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6 Uname: Linux 4.4.0-18-generic x86_64 ApportVersion: 2.20.1-0ubuntu1 Architecture: amd64 Date: Tue Apr 12 13:08:33 2016 SourcePackage: realmd UpgradeStatus: No upgrade log present (probably fresh install) [Impact] When trying to join AD domain via realm command, it hangs. after researching, packagekit got segfault. [Testcase] realm -v join int.domainname.com --user login  * Resolving: _ldap._tcp.int.domanname.com  * Performing LDAP DSE lookup on: 192.168.xx.xx  * Performing LDAP DSE lookup on: 192.168.xx.xx  * Successfully discovered: int.domainname.com Password for login:  * Unconditionally checking packages  * Resolving required packages From here nothing happens. It doesn't go any further. journalctl -b realmd shows: [...] Apr 12 13:02:49 ls-mysql57 realmd[946]: Sending TCP Netlogon request Apr 12 13:02:49 ls-mysql57 realmd[946]: Searching for (objectClass=*) Apr 12 13:02:49 ls-mysql57 realmd[946]: Received TCP Netlogon response Apr 12 13:02:49 ls-mysql57 realmd[946]: * Successfully discovered: int.domainname.com Apr 12 13:02:49 ls-mysql57 realmd[946]: * Successfully discovered: int.domainame.com Apr 12 13:02:53 ls-mysql57 realmd[946]: Using 'r209.955' operation for method 'Join' invocation on 'org.freedesktop.realmd.KerberosMembership' interface Apr 12 13:02:53 ls-mysql57 realmd[946]: Registered cancellable for operation 'r209.955' Apr 12 13:02:53 ls-mysql57 realmd[946]: holding daemon: current-invocation Apr 12 13:02:53 ls-mysql57 realmd[946]: ** (realmd:946): CRITICAL **: realm_invocation_get_cancellable: assertion 'invocation != NULL' failed Apr 12 13:02:53 ls-mysql57 realmd[946]: (realmd:946): GLib-GObject-CRITICAL **: g_object_unref: assertion 'G_IS_OBJECT (object)' failed Apr 12 13:02:53 ls-mysql57 realmd[946]: * Unconditionally checking packages Apr 12 13:02:53 ls-mysql57 realmd[946]: * Unconditionally checking packages Apr 12 13:02:53 ls-mysql57 realmd[946]: * Resolving required packages Apr 12 13:02:53 ls-mysql57 realmd[946]: * Resolving required packages Apr 12 13:02:53 ls-mysql57 realmd[946]: realm_invocation_get_cancellable: assertion 'invocation != NULL' failed Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: CreateTransaction call Apr 12 13:02:53 ls-mysql57 realmd[946]: GLib-GObject: g_object_unref: assertion 'G_IS_OBJECT (object)' failed Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: SetHints call Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: call Resolve (262144, ['sssd-tools', 'sssd', 'libnss-sss', 'libpam-sss', 'adcli']) Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: signal: Changed () Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: call Resolve completed Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: signal: Changed () Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: signal: Changed () Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: signal: Changed () It works in 14.04. ProblemType: Bug DistroRelease: Ubuntu 16.04 Package: realmd 0.16.2-2 ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6 Uname: Linux 4.4.0-18-generic x86_64 ApportVersion: 2.20.1-0ubuntu1 Architecture: amd64 Date: Tue Apr 12 13:08:33 2016 SourcePackage: realmd UpgradeStatus: No upgrade log present (probably fresh install) [Regression Potential] [Other Info] Upstream Patch https://github.com/hughsie/PackageKit/commit/97161e231b2ab406e77977a2a693d7935e33df0f https://github.com/hughsie/PackageKit/commit/06fae067c909db93bb5b1e1d04aa7a987208eda2 https://github.com/hughsie/PackageKit/commit/c64c16c2d1ad9142ec8e74473044874bb6398728 https://github.com/hughsie/PackageKit/commit/e94b80f90179db18221b2eff93b4561b5418fbfb
2016-04-28 04:44:10 Seyeong Kim attachment added xenial-check-null-in-aptintf-init.debdiff https://bugs.launchpad.net/ubuntu/+source/packagekit/+bug/1569292/+attachment/4649721/+files/xenial-check-null-in-aptintf-init.debdiff
2016-04-28 04:44:28 Seyeong Kim bug added subscriber Ubuntu Sponsors Team
2016-04-28 04:44:40 Seyeong Kim bug added subscriber Ubuntu Stable Release Updates Team
2016-04-28 07:22:08 Louis Bouchard nominated for series Ubuntu Xenial
2016-04-28 07:22:08 Louis Bouchard bug task added packagekit (Ubuntu Xenial)
2016-04-28 07:22:41 Seyeong Kim packagekit (Ubuntu Xenial): status New In Progress
2016-04-28 07:22:44 Seyeong Kim packagekit (Ubuntu Xenial): assignee Seyeong Kim (xtrusia)
2016-04-29 03:12:07 Mathew Hodson packagekit (Ubuntu Xenial): importance Undecided Medium
2016-04-29 03:16:05 Mathew Hodson affects realmd ubuntu-translations
2016-04-29 03:16:16 Mathew Hodson bug task deleted ubuntu-translations
2016-04-29 09:27:38 Seyeong Kim attachment added yakkety-check-null-in-aptintf-init.debdiff https://bugs.launchpad.net/ubuntu/+source/packagekit/+bug/1569292/+attachment/4651215/+files/yakkety-check-null-in-aptintf-init.debdiff
2016-04-29 10:02:05 Seyeong Kim description [Impact] When trying to join AD domain via realm command, it hangs. after researching, packagekit got segfault. [Testcase] realm -v join int.domainname.com --user login  * Resolving: _ldap._tcp.int.domanname.com  * Performing LDAP DSE lookup on: 192.168.xx.xx  * Performing LDAP DSE lookup on: 192.168.xx.xx  * Successfully discovered: int.domainname.com Password for login:  * Unconditionally checking packages  * Resolving required packages From here nothing happens. It doesn't go any further. journalctl -b realmd shows: [...] Apr 12 13:02:49 ls-mysql57 realmd[946]: Sending TCP Netlogon request Apr 12 13:02:49 ls-mysql57 realmd[946]: Searching for (objectClass=*) Apr 12 13:02:49 ls-mysql57 realmd[946]: Received TCP Netlogon response Apr 12 13:02:49 ls-mysql57 realmd[946]: * Successfully discovered: int.domainname.com Apr 12 13:02:49 ls-mysql57 realmd[946]: * Successfully discovered: int.domainame.com Apr 12 13:02:53 ls-mysql57 realmd[946]: Using 'r209.955' operation for method 'Join' invocation on 'org.freedesktop.realmd.KerberosMembership' interface Apr 12 13:02:53 ls-mysql57 realmd[946]: Registered cancellable for operation 'r209.955' Apr 12 13:02:53 ls-mysql57 realmd[946]: holding daemon: current-invocation Apr 12 13:02:53 ls-mysql57 realmd[946]: ** (realmd:946): CRITICAL **: realm_invocation_get_cancellable: assertion 'invocation != NULL' failed Apr 12 13:02:53 ls-mysql57 realmd[946]: (realmd:946): GLib-GObject-CRITICAL **: g_object_unref: assertion 'G_IS_OBJECT (object)' failed Apr 12 13:02:53 ls-mysql57 realmd[946]: * Unconditionally checking packages Apr 12 13:02:53 ls-mysql57 realmd[946]: * Unconditionally checking packages Apr 12 13:02:53 ls-mysql57 realmd[946]: * Resolving required packages Apr 12 13:02:53 ls-mysql57 realmd[946]: * Resolving required packages Apr 12 13:02:53 ls-mysql57 realmd[946]: realm_invocation_get_cancellable: assertion 'invocation != NULL' failed Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: CreateTransaction call Apr 12 13:02:53 ls-mysql57 realmd[946]: GLib-GObject: g_object_unref: assertion 'G_IS_OBJECT (object)' failed Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: SetHints call Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: call Resolve (262144, ['sssd-tools', 'sssd', 'libnss-sss', 'libpam-sss', 'adcli']) Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: signal: Changed () Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: call Resolve completed Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: signal: Changed () Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: signal: Changed () Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: signal: Changed () It works in 14.04. ProblemType: Bug DistroRelease: Ubuntu 16.04 Package: realmd 0.16.2-2 ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6 Uname: Linux 4.4.0-18-generic x86_64 ApportVersion: 2.20.1-0ubuntu1 Architecture: amd64 Date: Tue Apr 12 13:08:33 2016 SourcePackage: realmd UpgradeStatus: No upgrade log present (probably fresh install) [Regression Potential] [Other Info] Upstream Patch https://github.com/hughsie/PackageKit/commit/97161e231b2ab406e77977a2a693d7935e33df0f https://github.com/hughsie/PackageKit/commit/06fae067c909db93bb5b1e1d04aa7a987208eda2 https://github.com/hughsie/PackageKit/commit/c64c16c2d1ad9142ec8e74473044874bb6398728 https://github.com/hughsie/PackageKit/commit/e94b80f90179db18221b2eff93b4561b5418fbfb [Impact] When trying to join AD domain via realm command, it hangs. after researching, packagekit got segfault. [Testcase] realm -v join int.domainname.com --user login  * Resolving: _ldap._tcp.int.domanname.com  * Performing LDAP DSE lookup on: 192.168.xx.xx  * Performing LDAP DSE lookup on: 192.168.xx.xx  * Successfully discovered: int.domainname.com Password for login:  * Unconditionally checking packages  * Resolving required packages From here nothing happens. It doesn't go any further. journalctl -b realmd shows: [...] Apr 12 13:02:49 ls-mysql57 realmd[946]: Sending TCP Netlogon request Apr 12 13:02:49 ls-mysql57 realmd[946]: Searching for (objectClass=*) Apr 12 13:02:49 ls-mysql57 realmd[946]: Received TCP Netlogon response Apr 12 13:02:49 ls-mysql57 realmd[946]: * Successfully discovered: int.domainname.com Apr 12 13:02:49 ls-mysql57 realmd[946]: * Successfully discovered: int.domainame.com Apr 12 13:02:53 ls-mysql57 realmd[946]: Using 'r209.955' operation for method 'Join' invocation on 'org.freedesktop.realmd.KerberosMembership' interface Apr 12 13:02:53 ls-mysql57 realmd[946]: Registered cancellable for operation 'r209.955' Apr 12 13:02:53 ls-mysql57 realmd[946]: holding daemon: current-invocation Apr 12 13:02:53 ls-mysql57 realmd[946]: ** (realmd:946): CRITICAL **: realm_invocation_get_cancellable: assertion 'invocation != NULL' failed Apr 12 13:02:53 ls-mysql57 realmd[946]: (realmd:946): GLib-GObject-CRITICAL **: g_object_unref: assertion 'G_IS_OBJECT (object)' failed Apr 12 13:02:53 ls-mysql57 realmd[946]: * Unconditionally checking packages Apr 12 13:02:53 ls-mysql57 realmd[946]: * Unconditionally checking packages Apr 12 13:02:53 ls-mysql57 realmd[946]: * Resolving required packages Apr 12 13:02:53 ls-mysql57 realmd[946]: * Resolving required packages Apr 12 13:02:53 ls-mysql57 realmd[946]: realm_invocation_get_cancellable: assertion 'invocation != NULL' failed Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: CreateTransaction call Apr 12 13:02:53 ls-mysql57 realmd[946]: GLib-GObject: g_object_unref: assertion 'G_IS_OBJECT (object)' failed Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: SetHints call Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: call Resolve (262144, ['sssd-tools', 'sssd', 'libnss-sss', 'libpam-sss', 'adcli']) Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: signal: Changed () Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: call Resolve completed Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: signal: Changed () Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: signal: Changed () Apr 12 13:02:53 ls-mysql57 realmd[946]: packages: signal: Changed () It works in 14.04. ProblemType: Bug DistroRelease: Ubuntu 16.04 Package: realmd 0.16.2-2 ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6 Uname: Linux 4.4.0-18-generic x86_64 ApportVersion: 2.20.1-0ubuntu1 Architecture: amd64 Date: Tue Apr 12 13:08:33 2016 SourcePackage: realmd UpgradeStatus: No upgrade log present (probably fresh install) [Regression Potential] This patch added null check about http_proxy, ftp_proxy and socket from pk_backend_job_get_frontend_socket in test, there was no hang anymore, test has been done with several guys. [Other Info] Upstream Patch https://github.com/hughsie/PackageKit/commit/97161e231b2ab406e77977a2a693d7935e33df0f https://github.com/hughsie/PackageKit/commit/06fae067c909db93bb5b1e1d04aa7a987208eda2 https://github.com/hughsie/PackageKit/commit/c64c16c2d1ad9142ec8e74473044874bb6398728 https://github.com/hughsie/PackageKit/commit/e94b80f90179db18221b2eff93b4561b5418fbfb
2016-04-29 10:09:51 Seyeong Kim attachment removed xenial-check-null-in-aptintf-init.debdiff https://bugs.launchpad.net/ubuntu/+source/packagekit/+bug/1569292/+attachment/4649721/+files/xenial-check-null-in-aptintf-init.debdiff
2016-04-29 10:10:29 Seyeong Kim attachment removed yakkety-check-null-in-aptintf-init.debdiff https://bugs.launchpad.net/ubuntu/+source/packagekit/+bug/1569292/+attachment/4651215/+files/yakkety-check-null-in-aptintf-init.debdiff
2016-04-29 10:10:48 Seyeong Kim attachment added xenial-check-null-in-aptintf-init.debdiff https://bugs.launchpad.net/ubuntu/+source/packagekit/+bug/1569292/+attachment/4651256/+files/xenial-check-null-in-aptintf-init.debdiff
2016-04-29 10:11:01 Seyeong Kim attachment added yakkety-check-null-in-aptintf-init.debdiff https://bugs.launchpad.net/ubuntu/+source/packagekit/+bug/1569292/+attachment/4651258/+files/yakkety-check-null-in-aptintf-init.debdiff
2016-04-29 10:42:21 Louis Bouchard removed subscriber Ubuntu Sponsors Team
2016-04-29 21:47:30 Launchpad Janitor packagekit (Ubuntu): status In Progress Fix Released
2016-05-10 09:29:18 Sebastien Bacher bug added subscriber Ubuntu Sponsors Team
2016-05-13 06:28:59 Sebastien Bacher removed subscriber Ubuntu Sponsors Team
2016-05-18 01:25:25 Chris Halse Rogers packagekit (Ubuntu Xenial): status In Progress Fix Committed
2016-05-18 01:25:28 Chris Halse Rogers bug added subscriber SRU Verification
2016-05-18 01:25:40 Chris Halse Rogers tags amd64 apport-bug sts xenial amd64 apport-bug sts verification-needed xenial
2016-05-19 11:20:48 Seyeong Kim tags amd64 apport-bug sts verification-needed xenial amd64 apport-bug sts verification-done xenial
2016-05-26 21:36:26 Launchpad Janitor packagekit (Ubuntu Xenial): status Fix Committed Fix Released
2016-05-26 21:36:33 Brian Murray removed subscriber Ubuntu Stable Release Updates Team